<?
if ($job == "total") {
 # This item was downloaded from http://jodrell.uk.net/
 # Author: Gavin Brown <jodrell@spod.uk.net>
 # It was modified to fit in this project!
 require("config.php");
 header('Content-type: image/png');
 $image = ImageCreateFromPNG('images/setitotal.png');
 $black = ImageColorAllocate($image, 0, 0, 0);
 $font = "3";
 $y_offset = 3;
 $pos_x = (ImageSX($image) - (ImageFontWidth($font) * strlen($results))) / 2;
 $pos_y = ((ImageSY($image) - ImageFontHeight($font)) / 2);
 ImageString($image, $font, $pos_x, $pos_y + $y_offset, $results, $black);
 ImagePNG($image);
 ImageDestroy($image);
}
elseif ($job == "avatar") {
 require("config.php");
 header('Content-type: image/png');
 $image = imageCreate(260, 70);
 $background = ImageColorAllocate($image, 255, 255, 255);
 $text = ImageColorAllocate($image, 0, 0, 0);
 imagefill($image, 0, 0, $background);
 $pos_x = (ImageSX($image) - (ImageFontWidth(3) * strlen($username))) / 2;
 $afterresults = ImageFontWidth(4) * strlen($results) + 90;
 $pos_y = ((ImageSY($image) - ImageFontHeight($font)) / 2);
 ImageString($image, 3, $pos_x, 2, $username, $text);
 ImageString($image, 2, 2, 15, "Registration:", $text);
 ImageString($image, 2, 90, 15, $regged, $text);
 ImageString($image, 2, 2, 28, "Results:", $text);
 ImageString($image, 3, 90, 28, $results, $text);
 ImageString($image, 2, $afterresults, 28, "(Rank $rank, $completed)", $text);
 ImageString($image, 2, 2, 41, "CPU-Time:", $text);
 $cputime = timer($cputime);
 ImageString($image, 2, 90, 41, $cputime, $text);
 ImageString($image, 2, 2, 54, "Average:", $text);
 $average = timer($average);
 ImageString($image, 2, 90, 54, "$average ($averageday" . "WuD)", $text);
 ImagePNG($image);
 ImageDestroy($image);
}

function timer($timer) {
 $years = floor($timer / 8736);
 $timer = $timer - ($years * 8736);
 $weeks = floor($timer / 168);
 $timer = $timer - ($weeks * 186);
 $days = floor($timer / 24);
 $timer = $timer - ($days * 24);
 $hours = floor($timer);
 $timer = $timer - $hours;
 $min = floor($timer * 60);
 
 if ($years != "") { $tmp = $years . "y "; }
 if ($weeks != "") { $tmp .= $weeks . "w "; }
 if ($hours != "") { $tmp .= $hours . "h "; }
 if ($min != "" ) { $tmp .= $min . "m"; }
 return $tmp;
}
?>